Subject: Re: [PATCH RFC net-next] net: stmmac: replace has_xxxx with core_type

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 21 Oct 2025 14:02:10 +0100

On Tue, Oct 21, 2025 at 02:42:09PM +0200, Bartosz Golaszewski wrote:
> On Thu, Oct 16, 2025 at 9:41 PM Russell King (Oracle)
> <[email-masked]> wrote:
> >
> > Replace the has_gmac, has_gmac4 and has_xgmac ints, of which only one
> > can be set when matching a core to its driver backend, with an
> > enumerated type carrying the DWMAC core type.
> >
> > Signed-off-by: Russell King (Oracle) <[email-masked]>
> > ---
> > After the five patch cleanup has been merged, I will want to submit
> > this for merging.
> >
> > The problem:
> > - Any new stmmac glue code is likely to conflict with this.
> > - Bartosz Golaszewski's qcom-ethqos patches posted on 8th October
> >   will conflict with this if resubmitted (we're changing lines that
> >   overlap in diff context.)
> > - Maxime Chevallier's tiemstamping changes will conflict with this.
> >
> 
> Reviewed-by: Bartosz Golaszewski <[email-masked]>

Please can you reply with your reviewed-by to the latest patch submitted
today, so your r-b gets picked up if netdev applies it? Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!